Bug 1565644

Summary: [abrt] gf100_gr_init_ctxctl: WARNING: CPU: 1 PID: 1094 at drivers/gpu/drm/nouveau/nvkm/engine/gr/ctxgf100.c:1365 gf100_grctx_generate+0x673/0x6a0 [nouveau] [nouveau]
Product: [Fedora] Fedora Reporter: Petr Viktorin <pviktori>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: airlied, ajax, bskeggs, jglisse, kernel-maint, lmeyer
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/28768bba8a3c04da7c1d4acb71526afedab09242
Whiteboard: abrt_hash:4993dc3c7f426733d7751736356dfc30aaa9bdf8;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 21:42:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: dmesg none

Description Petr Viktorin 2018-04-10 13:11:39 UTC
Description of problem:
I restarted the computer. All windows were closed before the reboot.

Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 1 PID: 1094 at drivers/gpu/drm/nouveau/nvkm/engine/gr/ctxgf100.c:1365 gf100_grctx_generate+0x673/0x6a0 [nouveau]
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc arc4 snd_hda_codec_realtek snd_hda_codec_generic iwlmvm intel_rapl x86_pkg_temp_thermal intel_powerclamp iTCO_wdt iTCO_vendor_support coretemp mei_wdt snd_hda_intel mac80211 snd_hda_codec kvm_intel snd_hda_core kvm uvcvideo btusb snd_hwdep btrtl snd_seq btbcm btintel irqbypass snd_seq_device iwlwifi snd_pcm
 videobuf2_vmalloc intel_cstate intel_uncore bluetooth intel_rapl_perf videobuf2_memops cfg80211 videobuf2_v4l2 videobuf2_core snd_timer videodev thinkpad_acpi joydev intel_wmi_thunderbolt media wmi_bmof i2c_i801 rtsx_pci_ms snd tpm_tis tpm_tis_core mei_me ecdh_generic soundcore memstick mei tpm intel_pch_thermal rfkill shpchp dm_crypt nouveau i915 rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit drm_kms_helper crct10dif_pclmul e1000e crc32_pclmul crc32c_intel drm ghash_clmulni_intel nvme ptp nvme_core serio_raw rtsx_pci pps_core wmi video
CPU: 1 PID: 1094 Comm: Xorg Not tainted 4.15.14-300.fc27.x86_64 #1
Hardware name: LENOVO 20EQS64N17/20EQS64N17, BIOS N1EET75W (1.48 ) 12/13/2017
RIP: 0010:gf100_grctx_generate+0x673/0x6a0 [nouveau]
RSP: 0018:ffffb06e04fa7a80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff894afb23b530 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff894b1f4568f0
RBP: ffff894af3c34000 R08: 0000000000000399 R09: 0000000000000004
R10: 0000000000000010 R11: 0000000000000001 R12: ffff894af6cde000
R13: ffffb06e04fa7ab0 R14: ffffb06e04fa7aa8 R15: ffffb06e04fa7ab8
FS:  00007fc4fe2e8a80(0000) GS:ffff894b1f440000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fc4fe1b1000 CR3: 0000000877ebe002 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 gf100_gr_init_ctxctl+0x6fc/0x990 [nouveau]
 gm107_gr_init+0x708/0x740 [nouveau]
 nvkm_engine_init+0x64/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x1f0 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x26e/0x2b0 [nouveau]
 ? nvkm_fifo_chan_dtor+0x100/0x100 [nouveau]
 ? gf100_gr_chsw_load+0x40/0x40 [nouveau]
 nvkm_ioctl+0x10a/0x240 [nouveau]
 usif_ioctl+0x62e/0x740 [nouveau]
 nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 do_vfs_ioctl+0xa4/0x620
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7fc4fb5d60f7
RSP: 002b:00007ffeeaf69d78 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 0000000000000038 RCX: 00007fc4fb5d60f7
RDX: 000000000191b0c0 RSI: 00000000c0386447 RDI: 0000000000000010
RBP: 000000000191b0c0 R08: 00000000019132e0 R09: 0000000001914e60
R10: 0000000000000000 R11: 0000000000000246 R12: 00000000c0386447
R13: 0000000000000010 R14: 000000000191b0f8 R15: 0000000000000000
Code: 48 8b 57 10 eb cf 49 8b 7c 24 10 48 8b 5f 50 48 85 db 74 28 e8 ff 23 eb ee 48 89 da 48 89 c6 48 c7 c7 9f 92 7c c0 e8 1d e8 9c ee <0f> 0b bb f0 ff ff ff e9 14 fa ff ff e8 9c ea 9c ee 48 8b 5f 10

Comment 1 Petr Viktorin 2018-04-10 13:11:54 UTC
Created attachment 1419870 [details]
File: dmesg

Comment 2 Luke Meyer 2018-05-22 21:50:00 UTC
Description of problem:
I'm just booting and getting this crash.
Boot will hang if I do it in the docking station (with my two monitors) until I remove it from the dock. But I get a crash either way.
If I then dock and get the screens working, at some random point after booting,
nouveau will generally crash and I'll be unable to use the monitors at all until I reboot.

Version-Release number of selected component:
kernel-core-4.16.9-200.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.9-200.fc27.x86_64 root=/dev/mapper/RHEL7CSB-Fedora--root ro rd.lvm.lv=RHEL7CSB/Fedora-root rd.luks.uuid=luks-3ce1fcd5-bc65-46c1-9ae9-79af4e6fb840 rd.lvm.lv=RHEL7CSB/Swap rhgb quiet LANG=en_US.UTF-8
crash_function: gf100_gr_init_ctxctl
kernel:         4.16.9-200.fc27.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 1461 at drivers/gpu/drm/nouveau/nvkm/engine/gr/ctxgf100.c:1365 gf100_grctx_generate+0x673/0x6a0 [nouveau]
Modules linked in: ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter overlay nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc arc4 snd_hda_codec_realtek snd_hda_codec_generic intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp iTCO_wdt iTCO_vendor_support iwlmvm snd_hda_intel mei_wdt kvm_intel snd_hda_codec kvm mac80211 snd_hda_core snd_hwdep snd_seq snd_seq_device
 snd_pcm uvcvideo btusb irqbypass intel_cstate btrtl btbcm intel_uncore btintel iwlwifi bluetooth videobuf2_vmalloc intel_rapl_perf videobuf2_memops videobuf2_v4l2 videobuf2_common snd_timer videodev thinkpad_acpi cfg80211 rtsx_pci_ms snd memstick wmi_bmof intel_wmi_thunderbolt media tpm_tis ecdh_generic soundcore joydev i2c_i801 mei_me tpm_tis_core intel_pch_thermal shpchp tpm rfkill mei xfs libcrc32c dm_crypt hid_logitech_hidpp hid_logitech_dj nouveau i915 rtsx_pci_sdmmc mmc_core mxm_wmi ttm crct10dif_pclmul i2c_algo_bit crc32_pclmul crc32c_intel drm_kms_helper e1000e nvme ghash_clmulni_intel drm ptp rtsx_pci pps_core nvme_core serio_raw wmi video
CPU: 4 PID: 1461 Comm: Xorg Not tainted 4.16.9-200.fc27.x86_64 #1
Hardware name: LENOVO 20EQS64N0B/20EQS64N0B, BIOS N1EET73W (1.46 ) 09/28/2017
RIP: 0010:gf100_grctx_generate+0x673/0x6a0 [nouveau]
RSP: 0018:ffffa98fc4c9ba80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9e7ffb16cfb0 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff9e801f5168f0
RBP: ffff9e7ff3474000 R08: 00000000000003a3 R09: 0000000000000004
R10: 0000000000000010 R11: 0000000000000001 R12: ffff9e7ff6b43400
R13: ffffa98fc4c9bab0 R14: ffffa98fc4c9baa8 R15: ffffa98fc4c9bab8
FS:  00007f2dcb47ba80(0000) GS:ffff9e801f500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f2dcb344000 CR3: 0000000861f36001 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 gf100_gr_init_ctxctl+0x6fc/0x990 [nouveau]
 gm107_gr_init+0x708/0x740 [nouveau]
 nvkm_engine_init+0x64/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x1f0 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x26e/0x2b0 [nouveau]
 ? nvkm_fifo_chan_dtor+0x100/0x100 [nouveau]
 ? gf100_gr_chsw_load+0x40/0x40 [nouveau]
 nvkm_ioctl+0x10a/0x240 [nouveau]
 usif_ioctl+0x62e/0x740 [nouveau]
 nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 do_vfs_ioctl+0xa4/0x620
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7f2dc875d0f7
RSP: 002b:00007ffeb78c5c98 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 0000000000000038 RCX: 00007f2dc875d0f7
RDX: 00000000014ff7c0 RSI: 00000000c0386447 RDI: 0000000000000010
RBP: 00000000014ff7c0 R08: 00000000014f79e0 R09: 00000000014f96c0
R10: 0000000000000000 R11: 0000000000000246 R12: 00000000c0386447
R13: 0000000000000010 R14: 00000000014ff7f8 R15: 0000000000000000
Code: 48 8b 57 10 eb cf 49 8b 7c 24 10 48 8b 5f 50 48 85 db 74 28 e8 7f 50 cd e9 48 89 da 48 89 c6 48 c7 c7 2a 96 9b c0 e8 ed 14 7e e9 <0f> 0b bb f0 ff ff ff e9 14 fa ff ff e8 6c 17 7e e9 48 8b 5f 10

Comment 3 Ben Cotton 2018-11-27 15:37:59 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 21:42:37 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.